package opc.ua.services.common;

import java.util.Date;

public class ResponseHeader {

	private Date timestamp;
	
	/** IntegerId **/
	private Integer requestHandle;

	/** StatusCode */
	private StatusCode serviceResult;
	private DiagnosticInfo serviceDiagnostics;
	private String[] stringTable;
	
	/** Extensible Parameter AdditionalHeader **/
	private Object additionalHeader;

	public Date getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}

	public Integer getRequestHandle() {
		return requestHandle;
	}

	public void setRequestHandle(Integer requestHandle) {
		this.requestHandle = requestHandle;
	}

	public StatusCode getServiceResult() {
		return serviceResult;
	}

	public void setServiceResult(StatusCode serviceResult) {
		this.serviceResult = serviceResult;
	}

	public DiagnosticInfo getServiceDiagnostics() {
		return serviceDiagnostics;
	}

	public void setServiceDiagnostics(DiagnosticInfo serviceDiagnostics) {
		this.serviceDiagnostics = serviceDiagnostics;
	}

	public String[] getStringTable() {
		return stringTable;
	}

	public void setStringTable(String[] stringTable) {
		this.stringTable = stringTable;
	}

	public Object getAdditionalHeader() {
		return additionalHeader;
	}

	public void setAdditionalHeader(Object additionalHeader) {
		this.additionalHeader = additionalHeader;
	}
	
}
